Skip to main content

Class RequestPaymentAPIRequest


Properties

NAMETYPEREQUIREDDESCRIPTION
Resource/v1/institutions/{rtnnumber}/environments/{envname}/products/paycenter/networks/rtp/payment-requests
Request MethodHTTP POST
Response formatJSON
Content Typeapplication/jsonYesSpecify this as a "Content-Type" header property
AuthorizationBearer access_tokenYesSpecify this as a "Authorization" header property and pass OAuth 2.0 access token

Path parameters

ParameterTYPEREQUIREDDescription
rtnnumberstringYesDebtor Financial Institution Routing Number
envnameStringYesDenotes environment name where the API referred

Possible values
  • SANDBOX
  • PROD

Fields (Creditor section)

NameTYPEREQUIREDDescription
AccountNumberstringYesCreditor routing number.

RequestForPayment.Creditor.AccountNumber
NamestringUltimate Creditor name.

RequestForPayment.Creditor.UltimateCreditor.Name

Fields (Debtor section)

NameTYPEREQUIREDDescription
NamestringYesDebtor name.

RequestForPayment.Debtor.Name
RoutingNumberstringYesCreditor Routing number.

RequestForPayment.Creditor.RoutingNumber
AccountNumberstringYesCreditor account number.

RequestForPayment.Creditor.AccountNumber

Fields (Payment Description section)

NameTYPEREQUIREDDescription
AmountNumber (double- precision format)YesAmount to be transferred.

RequestForPayment.PaymentDescription.Amount
OriginatorTypestringYesDefine Originator type.

Enum values: BUSINESS, CONSUMER

Rule:
  • For CONSUMER, none of the ultimate fields should be supplied
  • For BUSINESS, ultimate creditor fields can be supplied


RequestForPayment.PaymentDescription.OriginatorType
UserNamestringYesDefine the Name of the User Invoking the API

RequestForPayment.PaymentDescription.UserName
NotesstringFree text.

RequestForPayment.PaymentDescription.Notes
IsAmountModifyAllowedbooleanRequestForPayment.PaymentDescription.IsAmountModifyAllowed
PaymentDueDatestring (format: YYYY-MM-DD)YesPayment due date

RequestForPayment.PaymentDescription.PaymentDueDate

Request body : JSON representation

{
"RequestForPayment": {
"Creditor": {
"AccountNumber": string,
"UltimateCreditor": {
"Name": string
}
},
"Debtor": {
"Name": string,
"RoutingNumber":string,
"AccountNumber": string
},
"PaymentDescription": {
"Amount": number,
"OriginatorType": enum (type),
"UserName": string,
"IsAmountModifyAllowed": boolean,
"PaymentDueDate": string,
"Notes": string
}
}
}

Sample Request 1: OriginatorType - BUSINESS

POST /v1/institutions/111025466/environments/sandbox/products/paycenter/networks/rtp/payment-requests HTTP/1.1
Host: wag01.eagle.jhapaycenter.com
Authorization: Bearer GYJ8NG95eDBKa1B.........Yzh5M1ZyZnNlNUVjyjuI
Content-Type: application/json

Sample Request Body

{
"RequestForPayment": {
"Creditor": {
"AccountNumber": "123456789",
"UltimateCreditor": {
"Name": "Martin Hess"
}
},
"Debtor": {
"Name": "Reck Deborah",
"RoutingNumber": "234567891",
"AccountNumber": "11122233344455"
},
"PaymentDescription": {
"Amount": 100.50,
"OriginatorType": "BUSINESS",
"UserName": "RTPUATUser",
"IsAmountModifyAllowed": true,
"PaymentDueDate": "2021-01-31",
"Notes": "This is test transaction"
}
}

Sample Request 2: OriginatorType - CONSUMER

POST /111025466/environments/sandbox/products/paycenter/networks/rtp/payment-requests HTTP/1.1
Host: wag01.eagle.jhapaycenter.com
Authorization: Bearer GYJ8NG95eDBKa1B.........Yzh5M1ZyZnNlNUVjyjuI
Content-Type: application/json

Sample Request Body

{
"RequestForPayment": {
"Creditor": {
"AccountNumber": "123456789"
},
"Debtor": {
"Name": "Reck Deborah",
"RoutingNumber": "234567891",
"AccountNumber": "11122233344455"
},
"PaymentDescription": {
"Amount": 100.50,
"OriginatorType": "CONSUMER",
"UserName": "RTPUATUser",
"IsAmountModifyAllowed": true,
"PaymentDueDate": "2021-01-31",
"Notes": "This is test transaction"
}
}